<testng-results>
  <reporter-output>
  </reporter-output>
  <suite name="PokerTexasHoldEm by packages">
    <groups>
    </groups>
    <test name="poker.domain">
      <class name="poker.domain.CartaTest">
        <test-method status="PASS" signature="umaCartaEMaiorQueOutraSeSeuValorEMaior()" name="umaCartaEMaiorQueOutraSeSeuValorEMaior" duration-ms="2" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="duasCartasSaoDiferentesSeTiveremNaipeDiferente()" name="duasCartasSaoDiferentesSeTiveremNaipeDiferente" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="letrasDevemIndicarValorCorrespondente()" name="letrasDevemIndicarValorCorrespondente" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="duasCartasSaoDiferentesSeTiveremValorDiferente()" name="duasCartasSaoDiferentesSeTiveremValorDiferente" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="duasCartasSaoDiferentesSeTiveremValorENaipeDiferente()" name="duasCartasSaoDiferentesSeTiveremValorENaipeDiferente" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="toStringDeveImprimirValorENaipe()" name="toStringDeveImprimirValorENaipe" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="cartasInvalidasLancamExcecao()" name="cartasInvalidasLancamExcecao" duration-ms="2" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="duasCartasSaoIguaisSeTiveremMesmoValorENaipe()" name="duasCartasSaoIguaisSeTiveremMesmoValorENaipe" duration-ms="2" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
      </class>
      <class name="poker.domain.BaralhoTest">
        <test-method status="PASS" signature="baralhoTemInicialmente52Cartas()" name="baralhoTemInicialmente52Cartas" duration-ms="125" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
      </class>
      <class name="poker.domain.CombinacaoTest">
        <test-method status="PASS" signature="conjuntosDe_Quadra()" name="conjuntosDe_Quadra" duration-ms="2" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="sequencia()" name="sequencia" duration-ms="12" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="conjuntosDe_DoisPares()" name="conjuntosDe_DoisPares" duration-ms="2" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="conjuntosDe_UmPar()" name="conjuntosDe_UmPar" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="conjuntosDe_CartaMaisAlta()" name="conjuntosDe_CartaMaisAlta" duration-ms="3" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="qtdeDePares()" name="qtdeDePares" duration-ms="4" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="qtdeDeTrincas()" name="qtdeDeTrincas" duration-ms="6" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="qtdeDeQuadras()" name="qtdeDeQuadras" duration-ms="6" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="conjuntosDe_FullHouse()" name="conjuntosDe_FullHouse" duration-ms="13" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
      </class>
      <class name="poker.domain.JogadorTest">
        <test-method status="PASS" signature="umJogadorIgualOutroSeTiverMesmoNome()" name="umJogadorIgualOutroSeTiverMesmoNome" duration-ms="7" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
      </class>
      <class name="poker.domain.RodadaTest">
        <test-method status="PASS" signature="vencedor()" name="vencedor" duration-ms="31" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="noComecoDaRodadaExisteUmBaralhoEJogadoresSemCartas()" name="noComecoDaRodadaExisteUmBaralhoEJogadoresSemCartas" duration-ms="6" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="rodadaComEmpate_MaisDeUmVencedor()" name="rodadaComEmpate_MaisDeUmVencedor" duration-ms="27" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="distribuiCarta()" name="distribuiCarta" duration-ms="2" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
      </class>
      <class name="poker.domain.PilhaDeCartasTest">
        <test-method status="PASS" signature="equals()" name="equals" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="eachCons1()" name="eachCons1" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="sortComArrayOrdenado()" name="sortComArrayOrdenado" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="eachConsAceitaRetornoGenerico()" name="eachConsAceitaRetornoGenerico" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="sortComArrayEmbaralhado()" name="sortComArrayEmbaralhado" duration-ms="0" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="getCarta()" name="getCarta" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="sortComArrayOrdenadoInversamente()" name="sortComArrayOrdenadoInversamente" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="embaralhaAleatoriamente()" name="embaralhaAleatoriamente" duration-ms="16" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="pilhaLancaExcecaoSeTentarUltrapassarLimiteDeCartasDefinido()" name="pilhaLancaExcecaoSeTentarUltrapassarLimiteDeCartasDefinido" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="quantidadeDeCartas()" name="quantidadeDeCartas" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="eachConsInvalidThrowsAnException()" name="eachConsInvalidThrowsAnException" duration-ms="0" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="eachCons3()" name="eachCons3" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="aceitaCartasRepetidas()" name="aceitaCartasRepetidas" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="eachCons5()" name="eachCons5" duration-ms="0" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
      </class>
      <class name="poker.domain.MaoTest">
        <test-method status="PASS" signature="combinacaoMaisAlta()" name="combinacaoMaisAlta" duration-ms="7" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="listaDeCombinacoesPossiveisOrdenadas()" name="listaDeCombinacoesPossiveisOrdenadas" duration-ms="22" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="umaMaoInicialmenteNaoPossuiCartas()" name="umaMaoInicialmenteNaoPossuiCartas" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="umaMaoAceitaDuasCartas()" name="umaMaoAceitaDuasCartas" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="equals()" name="equals" duration-ms="1" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
        <test-method status="PASS" signature="lancaUmErroSeTentarAdicionarUmaTerceiraCartaAMao()" name="lancaUmErroSeTentarAdicionarUmaTerceiraCartaAMao" duration-ms="2" started-at="2009-01-31T00:17:33Z" finished-at="2009-01-31T00:17:33Z">
        </test-method>
      </class>
    </test>
  </suite>
</testng-results>
